MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000273XdebugUsage problems (Wrong Results)public2007-05-27 17:172007-05-27 23:57
ReporterZobo 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000273: remote debugging: context_get does not return context id.
DescriptionDocumentation states that the return of context_get includes the context id:

<response command="context_get"
          context="context_id"
          transaction_id="transaction_id">
    <property ... />
</response>

However, current implementation does not. I'm writing a Dbgp plugin for N++ and this field seems quite important.
I prepared a quick and dirty patch... (I checked RC4 but does not seem to be fixed)
Additional Information--- ../xdebug_handler_dbgp.c 2007-01-31 20:08:57.000000000 +0100
+++ xdebug_handler_dbgp.c 2007-05-27 17:11:58.000000000 +0200
@@ -1914,6 +1914,7 @@
        int res;
        int context_id = 0;
        int depth = 0;
+ char *tmp;
        xdebug_var_export_options *options = (xdebug_var_export_options*) context->options;

        if (CMD_OPTION('c')) {
@@ -1931,6 +1932,12 @@
                        RETURN_RESULT(XG(status), XG(reason), XDEBUG_ERROR_STACK_DEPTH_INVALID);
                        break;
        }
+
+ /* Add cotnext_id -Zobo */
+ tmp = (char *)xdmalloc(5);
+ sprintf(tmp, "%d", context_id);
+ xdebug_xml_add_attribute_ex(*retval, "context", tmp, 0, 1);
+
 }

 DBGP_FUNC(xcmd_profiler_name_get)
TagsNo tags attached.
Operating SystemLinux/Debian
PHP Version5.2.0
Attached Files

- Relationships

-  Notes
(0000634)
derick (administrator)
2007-05-27 23:57

Fixed in CVS, thanks for the report.

- Issue History
Date Modified Username Field Change
2007-05-27 17:17 Zobo New Issue
2007-05-27 23:57 derick Status new => closed
2007-05-27 23:57 derick Note Added: 0000634
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker